{-# LANGUAGE UnicodeSyntax         #-}
{-# LANGUAGE RebindableSyntax      #-}

-- | Exports haskell built-in typeclasses
module Data.TypeClass
  ( Eq(..)
  , Ord(..)
  , Enum(..)
  , Bounded(..)
  , Num(..), (×)
  , Integral(..)
  , Show(..)
  , Read(..)
  , IsList(..)
  , IsString(..)
  , Functor(..)
  , Applicative(..)
  , Monad(..)
  ) where

import GHC.Enum
import GHC.Show
import GHC.Read
import GHC.Num
import GHC.Real
import GHC.Exts
import Data.Eq
import Data.Ord
import Data.Functor
import Prelude (Monad(..), Applicative(..))

-- * Aliases

-- | Multiplication
(×) ∷ Num a ⇒ a → a → a
(×) = (*)
